Show / Hide Table of Contents

# Class QueryExecutionService

Service for executing queries

##### Inheritance

System.Object
QueryExecutionService

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public sealed class QueryExecutionService : IDisposable

### Properties

| Improve this Doc View Source

#### Instance

Singleton instance of the query execution service

##### Declaration

    public static QueryExecutionService Instance { get; }

##### Property Value

Type | Description
--- | ---
QueryExecutionService |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

##### Implements

System.IDisposable.Dispose()
| Improve this Doc View Source

#### Finalize()

##### Declaration

    protected void Finalize()

| Improve this Doc View Source

#### HandleCancelRequest(QueryCancelParams, RequestContext<QueryCancelResult>)

##### Declaration

    public Task HandleCancelRequest(QueryCancelParams cancelParams, RequestContext<QueryCancelResult> requestContext)

##### Parameters

Type | Name | Description
--- | --- | ---
QueryCancelParams | cancelParams |
RequestContext<QueryCancelResult> | requestContext |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### HandleDisposeRequest(QueryDisposeParams, RequestContext<QueryDisposeResult>)

##### Declaration

    public Task HandleDisposeRequest(QueryDisposeParams disposeParams, RequestContext<QueryDisposeResult> requestContext)

##### Parameters

Type | Name | Description
--- | --- | ---
QueryDisposeParams | disposeParams |
RequestContext<QueryDisposeResult> | requestContext |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### HandleExecuteRequest(QueryExecuteParams, RequestContext<QueryExecuteResult>)

##### Declaration

    public Task HandleExecuteRequest(QueryExecuteParams executeParams, RequestContext<QueryExecuteResult> requestContext)

##### Parameters

Type | Name | Description
--- | --- | ---
QueryExecuteParams | executeParams |
RequestContext<QueryExecuteResult> | requestContext |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### HandleResultSubsetRequest(QueryExecuteSubsetParams, RequestContext<QueryExecuteSubsetResult>)

##### Declaration

    public Task HandleResultSubsetRequest(QueryExecuteSubsetParams subsetParams, RequestContext<QueryExecuteSubsetResult> requestContext)

##### Parameters

Type | Name | Description
--- | --- | ---
QueryExecuteSubsetParams | subsetParams |
RequestContext<QueryExecuteSubsetResult> | requestContext |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### InitializeService(ServiceHost)

Initializes the service with the service host, registers request handlers and shutdown event handler.

##### Declaration

    public void InitializeService(ServiceHost serviceHost)

##### Parameters

Type | Name | Description
--- | --- | ---
ServiceHost | serviceHost | The service host instance to register with